## org.eclipse.datatools.modelbase.sql.expressions
Interface SearchConditionDefault

All Superinterfaces:
  SearchCondition, SQLObject

All Known Implementing Classes:
  SearchConditionDefaultImpl

public interface SearchConditionDefault
extends SQLObject, SearchCondition

A representation of the model object 'Search Condition Default'.

The following features are supported:

- `SQL`

See Also:
  `SQLExpressionsPackage.getSearchConditionDefault()`

Method Summary
`java.lang.String` `getSQL()` Returns the value of the 'SQL' attribute.
`void` `setSQL(java.lang.String value)` Sets the value of the '`SQL`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSQL

    public java.lang.String getSQL()

  Returns the value of the 'SQL' attribute.

  If the meaning of the 'SQL' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getSQL` in interface `SearchCondition`
  Returns:
    the value of the 'SQL' attribute.
  See Also:
    `setSQL(String)`, `SQLExpressionsPackage.getSearchConditionDefault_SQL()`

### setSQL

    public void setSQL(java.lang.String value)

  Sets the value of the '`SQL`' attribute.

  Specified by:
    `setSQL` in interface `SearchCondition`
  Parameters:
    `value` - the new value of the 'SQL' attribute.
  See Also:
    `getSQL()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.